# ToolTip

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md)

Represents a small rectangular pop-up window that displays a brief description of a control's purpose when the user rests the pointer on the control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ToolTip : Component, IExtenderProvider
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ToolTip
    Inherits Component
    Implements IExtenderProvider
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) ToolTip()

Initializes a new instance of the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md) without a specified container.

### ![](/files/hsR4ok3152WyAf8J2C1u) ToolTip(container)

Initializes a new instance of the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md) class with a specified container.

| Name          | Type                                                                                 | Description                                                                                                                                                                                     |
| ------------- | ------------------------------------------------------------------------------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **container** | [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) | An [IContainer](https://docs.microsoft.com/dotnet/api/system.componentmodel.icontainer) that represents the container of the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md) extender. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Active

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the ToolTip provider is currently active. (Default: `True`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Alignment

[Nullable\<Placement>](https://docs.microsoft.com/dotnet/api/system.nullable-1): Returns or sets the alignment side and position of the tooltips. (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AllowHtml

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value indicating that the control can display HTML in the Text property. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AutomaticDelay

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the automatic delay for the ToolTip. (Default: `500`)

### ![](/files/hsR4ok3152WyAf8J2C1u) AutoPopDelay

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the period of time the ToolTip remains visible if the pointer is stationary on a control with specified ToolTip text.

The default value is 5000.

### ![](/files/hsR4ok3152WyAf8J2C1u) ForeColor

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets the text color of the ToolTip. (Default: `Color [Empty]`)

### ![](/files/hsR4ok3152WyAf8J2C1u) InitialDelay

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the time that passes before the ToolTip appears.

The default value is 500.

### ![](/files/hsR4ok3152WyAf8J2C1u) Tag

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns or sets the object that contains programmer-supplied data associated with the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md). (Default: `null`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ToolTipIcon

[ToolTipIcon](/api/wisej.web/extenders/wisej.web.tooltipicon.md): Returns or sets a value that defines the type of icon to be displayed alongside the ToolTip text. (Default: `Default`)

### ![](/files/hsR4ok3152WyAf8J2C1u) ToolTipIconSource

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the icon name or URL to use as the ToolTip icon. (Default: `null`)

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) CanExtend(target)

Returns true if the ToolTip can offer an extender property to the specified target component.

| Parameter  | Type                                                          | Description                                       |
| ---------- | ------------------------------------------------------------- | ------------------------------------------------- |
| **target** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | The target object to add an extender property to. |

**Returns:** [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean). true if the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md) class can offer one or more extender properties; otherwise, false.

### ![](/files/hsR4ok3152WyAf8J2C1u) Clear()

Removes all ToolTip text currently associated with the ToolTip component.

### ![](/files/lzopMboA31bVq8UIcbT3) Dispose(disposing)

| Parameter     | Type                                                            | Description |
| ------------- | --------------------------------------------------------------- | ----------- |
| **disposing** | [Boolean](https://docs.microsoft.com/dotnet/api/system.boolean) |             |

### ![](/files/hsR4ok3152WyAf8J2C1u) GetToolTip(control)

Retrieves the ToolTip text associated with the specified control.

| Parameter   | Type                                         | Description                                                                                                                               |
| ----------- | -------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| **control** | [Control](/api/wisej.web/general/control.md) | The [Control](/api/wisej.web/general/control.md) for which to retrieve the [ToolTip](/api/wisej.web/extenders/wisej.web.tooltip.md) text. |

**Returns:** [String](https://docs.microsoft.com/dotnet/api/system.string). A [String](https://docs.microsoft.com/dotnet/api/system.string) containing the ToolTip text for the specified control.

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

Renders the client component.

| Parameter  | Type                                                          | Description                   |
| ---------- | ------------------------------------------------------------- | ----------------------------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic configuration object. |

### ![](/files/hsR4ok3152WyAf8J2C1u) SetToolTip(control, caption)

Associates ToolTip text with the specified control.

| Parameter   | Type                                                          | Description                                                                          |
| ----------- | ------------------------------------------------------------- | ------------------------------------------------------------------------------------ |
| **control** | [Control](/api/wisej.web/general/control.md)                  | The [Control](/api/wisej.web/general/control.md) to associate the ToolTip text with. |
| **caption** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The ToolTip text to display when the pointer is on the control.                      |

### ![](/files/hsR4ok3152WyAf8J2C1u) Show(target, text)

Shows the tooltip net to the *target* component.

| Parameter  | Type                                                                        | Description                                         |
| ---------- | --------------------------------------------------------------------------- | --------------------------------------------------- |
| **target** | [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md) | A Wisej control or component (i.e. column, header). |
| **text**   | [String](https://docs.microsoft.com/dotnet/api/system.string)               | Text to show in the tooltip.                        |

### ![](/files/hsR4ok3152WyAf8J2C1u) Show(text, x, y)

Shows the tooltip at the specified *x* and *y* screen coordinates.

| Parameter | Type                                                          | Description                  |
| --------- | ------------------------------------------------------------- | ---------------------------- |
| **text**  | [String](https://docs.microsoft.com/dotnet/api/system.string) | Text to show in the tooltip. |
| **x**     | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   |                              |
| **y**     | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)   |                              |

### ![](/files/hsR4ok3152WyAf8J2C1u) Show(text, location)

Shows the tooltip at the specified *location* .

| Parameter    | Type                                                                | Description                                    |
| ------------ | ------------------------------------------------------------------- | ---------------------------------------------- |
| **text**     | [String](https://docs.microsoft.com/dotnet/api/system.string)       | Text to show in the tooltip.                   |
| **location** | [Point](https://docs.microsoft.com/dotnet/api/system.drawing.point) | Location of the tooltip in screen coordinates. |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/wisej.web.tooltip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
